<template>
  <v-container class="fill-height" fluid>
    <div class="login-container">
      <v-form @submit.prevent="handleLogin">
        <v-img
          :src="require('~/assets/images/Logo OEE.svg')"
          width="200"
          class="mx-auto"
          alt="OEE Logo White"
        />
        <div class="login-wrapper">
          <p class="text-centered text-primary"><b>Login</b></p>
          <v-text-field
            id="nik"
            v-model="nik"
            label="NIK"
            name="nik"
            type="text"
            color="black"
            outlined
            dense
          />
          <v-text-field
            id="password"
            v-model="password"
            :append-icon="isPasswordVisible ? 'mdi-eye' : 'mdi-eye-off'"
            :type="isPasswordVisible ? 'text' : 'password'"
            label="Password"
            name="password"
            color="black"
            outlined
            dense
            @click:append="isPasswordVisible = !isPasswordVisible"
          ></v-text-field>
          <div class="mb-4 text-centered"><input type="checkbox" /> keep me logged in</div>
          <div class="d-flex">
            <v-btn id="btn-login" type="submit" color="primary" class="flex" depressed
              >Sign In</v-btn
            >
          </div>
          <v-row  class="text-center mt-2" dense>
            <v-col>
              <v-layout justify-center align-center>
                Powered By
                <img
                  src="~/assets/images/mv_icon.png"
                  width="20"
                  class="mx-2 pa-0"
                  alt="MV Logo"
                />
                Machine Vision
              </v-layout>
            </v-col>
          </v-row>
        </div>
      </v-form>
    </div>
  </v-container>
</template>

<script>
export default {
  layout: 'auth',
  data: () => ({
    nik: '',
    password: '',
    isPasswordVisible: false
  }),
  methods: {
    handleLogin() {
      this.$store.dispatch('login', {
        username: this.nik,
        password: this.password
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.container {
  background: url('~assets/images/background-login.jpg');
  background-size: cover;
  // background: linear-gradient(
  //   212.07deg,
  //   rgba(49, 53, 225, 0.5) 44.77%,
  //   rgba(7, 198, 240, 0.5) 101.72%
  // );
}

.login-container {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100%;
  top: 0;
  right: 0;
}

.login-wrapper {
  width: 417px;
  background: #fff;
  margin: 0px auto;
  padding: 0px 40px;
  padding-top: 20px;
  padding-bottom: 60px;
}

.v-form {
  width: 100%;
  padding: 15px 50px;
}

h1 {
  font-size: 1.5rem;
  text-align: center;
  color: white;
  padding: 30px 0 20px;
}
.centered {
  justify-content: center;
}
.text-white {
  color: #fff;
}
.text-centered {
  text-align: center;
}
.text-primary {
  color: $color-primary;
}
</style>
